View Issue Details

IDProjectCategoryView StatusLast Update
0001675ScribusScripterpublic2005-07-17 05:11
Reporteralexandre Assigned Toringerc 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionwon't fix 
Product Version1.3.0cvs 
Target VersionFixed in Version 
Summary0001675: investigate dcop scripting for KDE integrated version
DescriptionIntegration with KDE makes it possible to control a KDE application from outside

http://docs.kde.org/en/3.3/kdeedu/kstars/tool-scriptbuilder.html
TagsNo tags attached.
Patch

Relationships

related to 0000014 closedcbradney Better KDE Integration - From Oli's Wiki 
child of 0003813 acknowledged Metabug: Scripter 

Activities

ringerc

2005-02-15 12:02

reporter   ~0003711

How's this for a crazy idea ... use PyKDE to expose the scripter API over DCOP? I don't know if it's possible, but it might work ;-)

I don't know enough about DCOP to speculate about built-in support.

plinnell

2005-02-20 12:07

viewer   ~0003772

per roadmap

ringerc

2005-02-20 14:38

reporter   ~0003775

Last edited: 2005-02-20 14:45

http:// wiki.scribus.net /index.php/Experimental_PyQt_projects has a sample that relies on the use of PyKDE to load DCOP support at runtime. (ARGH, the mantis URL parser is braindead! What the heck is wrong with 'E' in a URL? URL now deliberately munged so mantis doesn't try to link-ify it.).

I have a C++ plugin working here that does exactly the same thing (just without PyKDE) and requires no patches to the core Scribus code. I'll see about bundling it up as a plugin that can be installed after the main Scribus install, but it won't be useful until I can name some of the key objects (see wiki).

ringerc

2005-04-26 13:26

reporter   ~0004420

Doesn't look like DCOP would work out without writing quite a bit of IDL code for the interfaces - the automagic wrappers only seem to work on an extremely limited subset of methods. I looked for ways to make it mostly automatic, but didn't have much luck.

Given that it sounds like KDE4 may use something based on D-BUS instead of DCOP, I don't think it's worth pursuing. Better wait and see what KDE4 and Qt4 bring us, and focus on other things in the mean time - such as KIOslaves on the KDE integration side.

I'm closing this as WONTFIX. Please reopen if you think I've missed something.

Issue History

Date Modified Username Field Change
2005-02-15 11:26 alexandre New Issue
2005-02-15 12:02 ringerc Note Added: 0003711
2005-02-20 12:07 plinnell Note Added: 0003772
2005-02-20 14:38 ringerc Note Added: 0003775
2005-02-20 14:44 ringerc Note Edited: 0003775
2005-02-20 14:45 ringerc Note Edited: 0003775
2005-04-26 13:26 ringerc Status new => resolved
2005-04-26 13:26 ringerc Resolution open => won't fix
2005-04-26 13:26 ringerc Assigned To => ringerc
2005-04-26 13:26 ringerc Note Added: 0004420
2005-04-26 16:44 cbradney Status resolved => closed
2005-07-17 05:11 ringerc Relationship added related to 0000014
2006-05-13 21:32 christoph_s Relationship added child of 0003813